> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/ja/visa-ctf-to-daf/implement-ctf-and-daf/check-device-binding.md).

# デバイスバインディングを確認

デバイスのバインディングを開始する前、またはトランザクションを認証する前にこれを呼び出してください。

使用する `getBindingState` トークンが既にデバイスにバインドされているかを確認するための（Thales SDK）。

### SDK統合

{% tabs %}
{% tab title="Android" %}

```java
String vProvisionedTokenId = ""; // 例
byte[] password = this.getUserPassword();
    BindingState state = visaCTFHelper.getBindingState(vProvisionedTokenId);
} catch (TMGClientException e) {
    // エラーを処理する
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
let vProvisionedTokenID = "" // 例
do {
    let state = try visaCTFHelper.bindingState(forVProvisionedTokenID: vProvisionedTokenID)
} catch let error {
    // エラーを処理します
}
```

{% endtab %}
{% endtabs %}

返された状態に応じて、次のフローのいずれかを続行してください：

* `UNBOUND`

  デバイスのバインディングを開始します。参照： [デバイスバインディング グリーンフロー](/merchant-tokenization/ja/visa-ctf-to-daf/implement-ctf-and-daf/create-device-binding-green-flow.md).
* `PENDING_ACTIVATION`

  デバイスバインディングを再開します。この状態は通常、イシュアが要求したことを意味します **ステップアップ認証** を使用する **ID\&V** 方法。参照： [デバイスバインディングの作成（黄色のフロー）](/merchant-tokenization/ja/visa-ctf-to-daf/implement-ctf-and-daf/create-device-binding-yellow-flow.md).
* `BOUND`

  トランザクションを認証します。参照： [トランザクションを処理する](/merchant-tokenization/ja/visa-ctf-to-daf/implement-ctf-and-daf/authenticate-a-transaction.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/ja/visa-ctf-to-daf/implement-ctf-and-daf/check-device-binding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
